using System;

namespace Volpe.Cafe.MarketData
{
    internal static class ThrowHelper
    {
        /// <summary>
        /// Throws: InvalidOperationException("This object has already been linked to an industry.")
        /// </summary>
        public static void ObjectAlreadyLinkedToIndustry()
        {
            throw new InvalidOperationException("This object has already been linked to an industry.");
        }

        /// <summary>
        /// Throws: ArgumentNullException(paramName, "The industry object may not be null.")
        /// </summary>
        public static void IndustryObjectMayNotBeNull(string paramName = "industry")
        {
            throw new ArgumentNullException(paramName, "The industry object may not be null.");
        }

    }
}
